<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
function printRank()
{
  if(!$link = mysql_connect("localhost", "test", "test")){
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }
  if(!mysql_select_db("test")){
    //echo("Problem z połączeniem z bazą danych.");
    mysql_close($link);
    return false;
  }

  $query = "SELECT NAME, COUNTER FROM FILES ORDER BY COUNTER DESC";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return false;
  }
  echo("<table border=\"0\" cellspacing=\"0\">");
  echo("<tr><td colspan=\"2\" align=\"center\" bgcolor=\"yellow\">");
  echo("Ranking plików</td></tr>");

  $flag = true;
  while($row = mysql_fetch_array($result)){
    if($flag) $color = "#FFC0C0";
    else $color = "#FF8080";

    $flag = !$flag;

    echo("<tr><td align=\"center\" bgcolor=\"$color\">");

    $name = $row[0];
    $name = strrchr($name, "/");
    $name = substr($name, 1, strlen($name));

    echo($name);
    echo("</td><td width=\"50\" align=\"center\" bgcolor=\"$color\">");
    echo($row[1]);
    echo("</td></tr>");
  }
  echo("</table>");

  mysql_close($link);
  return true;
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Ranking plików</title>
</head>
<body>
<div>
<?php if(!printRank()) echo "Ranking plików nie jest dostępny."; ?>
</div>
</body>
</html>